-- #####################################################################################
-- ## Skript zum Vortrag <die schwierigen Kopfnsse mit T-SQL gelst - Version 2.0>   ##     
-- #####################################################################################
-- ## Dieses Skript zeigt den Weg, wie ein gegebenes Sudoku Die      ##
-- ## Skripte passen zu den Aufgabenstellungen aus der zugehrigen Powerpoint-        ##
-- ## Prsentation vom selben Autor.                                                  ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Bitte dieses Skript niemals in einer Produktionsumgebung einsetzen, da          ##
-- ## Datenbankobjekte angelegt, ergnzt, gendert oder sogar gelscht werden!!!      ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Verwendung auf eigene Gefahr...                                                 ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Torsten Ahlemeyer, arelium GmbH        torsten.ahlemeyer@arelium.de             ##
-- #####################################################################################

-- "richtige" Datenbank auswhlen
USE [Workshop_Kopfnuesse]
GO

DECLARE @RC int
DECLARE @VorgabeSudoku varchar(100)

-- leichtes Sudoku
 --es sind 30 von 81 Felder vorbelegt (~37%), Punktsymmetrie, aber Hufung
 --Laufzeit auf dieser Hardware ca.
--SET @VorgabeSudoku = '53  7    6  195    98    6 8   6   34  8 3  17   2   6 6    28    419  5    8  79' 

 
-- mittelschwieriges Sudoku
-- es sind 32 von 81 Feldern vorbelegt (~39,5 %), strenge Punkt- und Achsensymmetrie
-- Laufzeit auf dieser Hardware ca.
SET @VorgabeSudoku = '2 53 84 9 7     5 9 4   6 75   4   2   5 7   6   3   84 6   8 1 2     6 8 12 97 4' 


-- extrem schwieriges Sudoku
-- es sind nur 17 von 81 Feldern vorbelegt (~21%), keine Symmetrien, keine Hufung
--SET @VorgabeSudoku = '8   4 6   7 2               9      7    6  5   4      5 6   4     78       9   1 ' 

EXECUTE @RC = [Sudoku].[spSudokuLoesen] 
   @VorgabeSudoku
GO

