-- #####################################################################################
-- ## Skript zum Vortrag <die schwierigen Kopfnsse mit T-SQL gelst>                 ##     
-- #####################################################################################
-- ## Dieses Skript legt die Tabellen fr die Aufgabe "RubiksCube" an. Es wird durch  ##
-- ## weitere Skripte ergnzt, die in ihrer durchnummerierten Reihenfolge abzu-       ##
-- ## arbeiten sind. Die Skripte passen zu den Ausfhrungen aus der zugehrigen       ##
-- ## Powerpoint-Prsentation vom selben Autor.                                       ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Bitte dieses Skript niemals in einer Produktionsumgebung einsetzen, da          ##
-- ## Datenbankobjekte angelegt, ergnzt, gendert oder sogar gelscht werden!!!      ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Verwendung auf eigene Gefahr...                                                 ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Torsten Ahlemeyer, arelium GmbH        torsten.ahlemeyer@arelium.de             ##
-- #####################################################################################

-- auf die Projektdatenbank wechseln
USE [Workshop_Kopfnuesse]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO






-------------------------------------------------------------------------------------------
-- Test und Erklrung der Mimik zum Erfassen aller Wrfelpositionen und -drehungen:
-- Es wird eine Startposition bergeben und fr diese werden alle 12 gltigen Spielzge
-- ausgefhrt: DreheUntenLinks, DreheUntenRechts, DreheObenRechts, DreheObenLinks,
-- DreheVorneRechts, DreheVorneLinks, DreheRechtsHoch, DreheRechtsRunter,
-- DreheHintenRechts, DreheHintenLinks, DreheLinksHoch, DreheLinksRunter.
-- Zu jeder Bewegung wird auch die Zielposition erfassung. Der Durchlauf startet erneut, 
-- diesesmal ist jedoch die Startposition die Zielposition des Vorsatzes.
-------------------------------------------------------------------------------------------
DECLARE	@return_value int

EXEC	@return_value = [RubiksCube].[fncZugKombinationenErfassen]
		@Eingangsposition = N'WWWWGGRRBBOOGGRRBBOOYYYY',
		@AbbruchGroesse = 400
GO


SELECT [ID]
	,[Ausgangsposition]
      ,[Bewegung]
      ,[Zielposition]
--	  , [NormZielposition]
      ,[istabgearbeitet]
  FROM [Workshop_Kopfnuesse].[RubiksCube].[ZugKombinationen]
  order by ID ASC





---------------------------------------------------------------------------------------------
---- Test und Erklrung der Mimik zum Erfassen aller Wrfelpositionen und -drehungen:
---- Es wird eine Startposition bergeben und fr diese werden alle 12 gltigen Spielzge
---- ausgefhrt: DreheUntenLinks, DreheUntenRechts, DreheObenRechts, DreheObenLinks,
---- DreheVorneRechts, DreheVorneLinks, DreheRechtsHoch, DreheRechtsRunter,
---- DreheHintenRechts, DreheHintenLinks, DreheLinksHoch, DreheLinksRunter.
---- Zu jeder Bewegung wird auch die Zielposition erfassung. Der Durchlauf startet erneut, 
---- diesesmal ist jedoch die Startposition die Zielposition des Vorsatzes.
---------------------------------------------------------------------------------------------
--DECLARE	@return_value int

--EXEC	@return_value = [RubiksCube].[fncZugKombinationenErfassen]
--		@Eingangsposition = N'WWWWGGRRBBOOGGRRBBOOYYYY',
--		@AbbruchGroesse = 3674160								-- Mathematisch maximale Zahl von mglichen Kombinationen
--GO


--SELECT [Ausgangsposition]
--      ,[Bewegung]
--      ,[Zielposition]
--      ,[istabgearbeitet]
----INTO [Workshop_Kopfnuesse].[RubiksCube].[AlleZuege]
--FROM [Workshop_Kopfnuesse].[RubiksCube].[ZugKombinationen]


